#!/usr/bin/perl

# This script is a tribute to dumb-ass Microsoft SNMP implementation...
# After restarting SNMP service on MS servers, the OIDs of CPUs change
# randomly.

$host=shift;
$community=shift;
$cpu=shift;

# Get all CPUs load
@cpulines=`snmpwalk $host $community hrProcessorLoad`;
# Focus on the one we were need
$cpuline=$cpulines[$cpu];
($load,$index)=splitnamevalue($cpuline);
# Get the appropriate description
$cpudescrline=`snmpwalk $host $community hrDeviceDescr.$index`;
($cpudescr,)=splitnamevalue($cpudescrline);
print "$load\n";
print "$load\n";
print "$cpudescr\n";
print "\n";

sub splitnamevalue {
    $namevalue=shift;
    chomp($namevalue);
    ($index,$value)=split(/ = /, $namevalue);
    $index=~s/.*\.([0-9]{1,6})$/$1/;
    return $value,$index;
}
