#!/usr/bin/perl

$host=shift;
$community=shift;

print &getloadavg1m(),"\n";
print &getloadavg5m(),"\n";
print "1 min load average * 100 / 5 min load average * 100\n";
print "\n";


sub getloadavg1m {
    $loadavg=`snmpwalk $host $community .1.3.6.1.4.1.2021.8.1.101.1 2>/dev/null`;
    $load=&splitnamevalue($loadavg);
    return $load;    
}

sub getloadavg5m {
    $loadavg=`snmpwalk $host $community .1.3.6.1.4.1.2021.8.1.101.2 2>/dev/null`;
    $load=&splitnamevalue($loadavg);
    return $load;    
}

sub splitnamevalue {
    $namevalue=shift;
#    print $namevalue;
    chomp($namevalue);
    ($name,$value)=split(/ = /, $namevalue);
    return $value;
}
